use actix_web::{web, App, HttpServer};
use dotenv::dotenv;

// 导入api模块
mod api;
use api::GESE;

#[actix_web::main]
async fn main() -> std::io::Result<()> {
    // 确保环境变量加载
    dotenv().ok();
    
    println!("Server started at http://0.0.0.0:8080");
    
    HttpServer::new(|| {
        App::new()
            .service(GESE::search)    // 注册Search API
            .service(GESE::completion)  // 注册Completion API
    })
    .bind("0.0.0.0:8080")?
    .run()
    .await
}
